$(document).ready(function() {
  CookieBanner.initialize();
});

var CookieBanner = {

  initialize: function() {
    this.showCookieBanner();
    $('.cookie-banner button').on('click', this.closeBanner);
  },

  showCookieBanner: function() {
    try {
      if (!localStorage.getItem('teachableAgreeToCookies')) {
        $('.cookie-banner').removeClass('hidden');
      }
    } catch (error) {
      $('.cookie-banner').removeClass('hidden');
    }
  },

  closeBanner: function() {
    if (navigator.cookieEnabled) {
      localStorage.setItem('teachableAgreeToCookies', 'true');
    }
    $('.cookie-banner').addClass('hidden');
  }
};
