import lozad from 'lozad';

// polyfill intersection observer in ie11
new Promise((resolve) => window.IntersectionObserver
  ? resolve()
  : resolve(import('intersection-observer'))
).then(() => {
  const observer = lozad('[data-src], [data-background-image], [data-srcset], [data-background-image-set], [data-toggle-class]', {
    loaded(el) {
      if($ && $.fn && $.fn.matchHeight) {
        $.fn.matchHeight._update();
      }
    }
  });
  observer.observe();
  document.addEventListener('slickInit', () => {
    observer.observe();
  });
})
