$(document).ready(function() {
  $( ".simplecast-player" ).each(function() {
    SimplecastPlayer.addPlayer(this);
  });
});

var SimplecastPlayer = {

  addPlayer: function(container) {

    var player = {};

    player.container  = container;
    player.interactor =  new playerjs.Player($(container).find('.simplecast-player-iframe')[0]);

    player.interactor.on('timeupdate', function(data){
      $('span.transcript-text').map(function( index ) {
        if ($(this).data("timestamp") >= data.seconds) {
          $(this).addClass('unspoken')
          $(this).removeClass('spoken')
        } else {
          $(this).addClass('spoken')
          $(this).removeClass('unspoken')
        }
      })
    });

    var skipToPlayerTranscript = function(e) {
      player.interactor.on('ready', function(){
        player.interactor.setCurrentTime(parseInt(e.target.dataset.timestamp));
        player.interactor.play();
      });
    }

    Common.clickOrEnter({
      click: "." + player.container.className.replace(" ",".") + ' .transcript-text',
      action: skipToPlayerTranscript
    });
  },

}
