$(document).ready(function(){
  Survey.initialize()
});

var Survey = {

  initialize: function(){
    $('#lead-score-survey').submit(function(event) {
      var values = $(event.target).serialize().split("&").map(function(item){
        return item.split("=")
      }).reduce(function(hash, item){
        hash[item[0]] = item[1]
        return hash
      }, {});
      event.preventDefault();
      var payload = Object.assign(
        values,
        {
          email: localStorage.getItem('email') || decodeURIComponent(Common.params.email),
          path: location.pathname
        }
      );
      Tracking.irisEmit('submitted_lead_score_survey', payload);
      $(event.target).find('button').attr('disabled', 'disabled');
      $(event.target).find('.thank-you-message').removeClass('hidden');
    })
  },

}
