$(document).ready(function() {
  Video.initialize();
});

var Video = {

  initialize: function() {
    $('.image-text-column-wide .play-button').on('click', Video.clickPlayButton);
    $('.image-text-column-wide a').on('click', Video.clickPlayButton);
  },

  clickPlayButton: function(e) {
    e.preventDefault();
    Video.showVideo(e);
    location.href = "#top-of-video";
    Video.playVideo();
  },

  showVideo: function(e) {
    $('.image-text-column-wide .video-container').show();
    if (e.target.tagName === 'circle') {
      e.target.parentElement.parentElement.parentElement.parentElement.parentElement.parentElement.parentElement.classList.add('video-open');
    } else {
      e.target.parentElement.parentElement.parentElement.parentElement.parentElement.parentElement.classList.add('video-open');
    }
  },

  playVideo: function() {
    var id = $('#top-of-video')[0].dataset.wistiaid;
    window._wq = window._wq || [];
    _wq.push({ id: id, onReady: function(video) {
      video.play();
      Tracking.irisEmit('marketing_played_video', {
        target: 'segment'
      });
    }});
  }
};
