class Admin::Api::BannerWebinarsController < AdminController

  def create
    BannerWebinar.create(banner_params)
    @banner_webinars = BannerWebinar.where(banner_id: banner_params[:banner_id])
    render "index.json.jbuilder"
  end

  def destroy
    banner_webinar = BannerWebinar.find(params[:id])
    banner_webinar.destroy
    @banner_webinars = BannerWebinar.where(banner_id: banner_webinar.banner_id)
    render "index.json.jbuilder"
  end

  private

  def banner_params
    params[:banner_webinar].permit(:webinar_id, :banner_id)
  end

end
