class Admin::ContentDownloadsController < AdminController
  def index
    render :index
  end

  def show
    @content_download = ContentDownload.with_all_data.find_by(id: params[:id])
    
    render :show
  end

  def preview
    case params[:preview_entity].to_sym
    when :landing_page
      @content_download = ContentDownload.with_landing_page_data.find_by(id: params[:id])
      render "content_downloads/landing_page.html.erb"

    when :hero_form
      @content_download = ContentDownload.with_hero_form_data.find_by(id: params[:id])
      render :preview_hero_form

    when :preview_card
      @content_download = ContentDownload.with_preview_card_data.find_by(id: params[:id])
      render :preview_hero_card
    end
  end
end
