class Admin::PagesController < AdminController

  include Pricing

  def index
    render "index.html.erb"
  end

  def show
    relation = Page.where(id: params[:id])
    if relation.length > 0
      @page = relation.first
    end
    render "show.html.erb"
  end

  def preview
    @page = Page.includes(page_partials: [:partial]).find(params[:id])
    if @page
      get_pricing_info
      render "/pages/show.html.erb"
    else
      render text: "Page not found."
    end
  end

end
