class Api::SessionsController < ApplicationController

  def validate
    if ENV["RECAPTCHA_SECRET_KEY"].present? && ENV["RECAPTCHA_SITE_KEY"].present?
      url = "https://www.google.com/recaptcha/api/siteverify"
      resp = HTTParty.post(
        url,
        body: {
          secret: ENV["RECAPTCHA_SECRET_KEY"],
          response: params[:recaptcha],
          remoteip: request.remote_ip,
        }
      )
      if resp["success"]
        auth_login
      else
        render json: { status: 401, message: "reCAPTCHA failed, please try again" }, status: 401
      end
    else
      auth_login
    end
  end

  def check_account
    p '**********'
    p 'hey'
    p '**********'
    auth_login
  end

  private

  def auth_login
    p '*************'
    p ' hello'
    p '*************'
    auth_response = Teachable.login(params[:email], params[:password], params[:referral])
    if auth_response.success?
      render json: auth_response.parsed_response
    else
      render json: auth_response.parsed_response, status: 401
    end
  end

end
