module Pricing
  extend ActiveSupport::Concern

  def get_pricing_info
    if @page.page_partials.any? { |page_partial| page_partial.partial.name == "Pricing Table" }
      @plans = Plan.all.includes(plan_features: [:feature, :tooltip]).order(:order)
    end
    if @page.page_partials.any? { |page_partial| page_partial.partial.name == "Pricing Table Stubs" }
      @basic_plan = Plan.find_by_name("Basic")
      @pro_plan = Plan.find_by_name("Professional")
    end
  end

end
