class ContentDownloadsController < ApplicationController
  caches_action :landing_page, :thank_you

  def landing_page
    @js_includes = ["content-download-landing-page"]
    @content_download = (
      ContentDownload
        .where(active: true)
        .with_landing_page_data
        .find_by(landing_page_slug: params[:landing_page_slug])
    )

    if @content_download
      render :landing_page
    else
      @page = Page.find_by_url('/404_error')
      render '/pages/show.html.erb', status: 404
    end
  end

  def thank_you
    @content_download = (
      ContentDownload
        .where(active: true)
        .with_landing_page_data
        .find_by(landing_page_slug: params[:landing_page_slug])
    )

    if @content_download
      render :thank_you
    else
      @page = Page.find_by_url('/404_error')
      render '/pages/show.html.erb', status: 404
    end
  end
end
