class SitemapController < ApplicationController
  def index
    sitemap_xml = Rails.cache.fetch("sitemap", expires_in: 1.hour) { Sitemap.xml }

    respond_to do |format|
      format.xml { render xml: sitemap_xml }
    end
  end
end
