class State
  def self.all
    YAML.load_file("config/states.yml")
  end

  def self.create_option_hash(state_hash)
    {name: state_hash['name'], code: state_hash['code']}
  end

  def self.select_options
    state = State.all
    everything = state.map {|state_hash| create_option_hash(state_hash)}
    everything.sort_by {|state_hash| state_hash[:name]}
  end
end
