class BannerField < ApplicationRecord

  validates :banner_field_key, :banner_id, presence: true
  validates :banner_field_key,
            uniqueness: {
              scope: :banner_id,
                message: "cannot have duplicate banner fields for a single banner/banner field key",
            }

  belongs_to :banner

end
