class ContentDownloadFunnelStage < ApplicationRecord
  validates :content_download_id, :content_funnel_stage_id, presence: true

  belongs_to :content_download
  belongs_to(
    :funnel_stage,
    class_name: "ContentFunnelStage",
    foreign_key: :content_funnel_stage_id,
    primary_key: :id
  )
end
