class Feature < ApplicationRecord

  validates :text, presence: true, uniqueness: true

  has_many(
    :plan_features,
    dependent: :destroy
  )

  def cached_urls
    Partial.find_by(name: 'Pricing Table').cached_urls
  end
end
