class PermissionPrivilege < ApplicationRecord

  validates :permission_id, :privilege_id, presence: true
  validates :permission_id, uniqueness: { scope: :privilege_id }

  belongs_to :privilege
  belongs_to :permission

end
