json.contentDownloads @content_downloads
data = @blog_settings_hash

json.set! "blogSettings" do
  json.set! "homepage - header", data["Homepage - Header"]
  json.set! "homepage - subheader", data["Homepage - Subheader"]
  json.set! "homepage - contentDownload1", data["Homepage - Content Download 1"].id.to_s
  json.set! "homepage - contentDownload1EventName", data["Homepage - Content Download 1 Event Name"]
  json.set! "homepage - contentDownload1WorkflowId", data["Homepage - Content Download 1 Workflow ID"].to_s
  json.set! "homepage - contentDownload2", data["Homepage - Content Download 2"].id.to_s
  json.set! "homepage - contentDownload2EventName", data["Homepage - Content Download 2 Event Name"]
  json.set! "homepage - contentDownload2WorkflowId", data["Homepage - Content Download 2 Workflow ID"].to_s
  json.set! "resources - header", data["Resources - Header"]
  json.set! "resources - subheader", data["Resources - Subheader"]
  json.set! "resources - featuredContentDownload", data["Resources - Featured Content Download"].id.to_s
  json.set! "resources - featuredContentDownloadEventName", data["Resources - Featured Content Download Event Name"]
  json.set! "resources - featuredContentDownloadWorkflowId", data["Resources - Featured Content Download Workflow ID"].to_s
  json.set! "resources - category1ContentDownload1", data["Resources - Category 1 Content Download 1"].id.to_s
  json.set! "resources - category1ContentDownload2", data["Resources - Category 1 Content Download 2"].id.to_s
  json.set! "resources - category1ContentDownload3", data["Resources - Category 1 Content Download 3"].id.to_s
  json.set! "resources - category1ContentDownload4", data["Resources - Category 1 Content Download 4"].id.to_s
  json.set! "resources - category1ContentDownload5", data["Resources - Category 1 Content Download 5"].id.to_s
  json.set! "resources - category2ContentDownload1", data["Resources - Category 2 Content Download 1"].id.to_s
  json.set! "resources - category2ContentDownload2", data["Resources - Category 2 Content Download 2"].id.to_s
  json.set! "resources - category2ContentDownload3", data["Resources - Category 2 Content Download 3"].id.to_s
  json.set! "resources - category2ContentDownload4", data["Resources - Category 2 Content Download 4"].id.to_s
  json.set! "resources - category2ContentDownload5", data["Resources - Category 2 Content Download 5"].id.to_s
end

json.set! "categories" do
  @categories.each_with_index do |category, i|
    json.set! "category#{i + 1}" do
      json.name category.name
      json.url category.url
      json.titleText category.title_text
      json.description category.description
      json.header category.header
      json.subheader category.subheader
      json.contentDownload1Id category.content_download_1_id.to_s || ''
      json.contentDownload1WorkflowId category.content_download_1_workflow_id.to_s || ''
      json.contentDownload1EventName category.content_download_1_event_name || ''
      json.contentDownload2Id category.content_download_2_id.to_s || ''
      json.contentDownload2WorkflowId category.content_download_2_workflow_id.to_s || ''
      json.contentDownload2EventName category.content_download_2_event_name || ''
    end
  end
end
