json.page do
  json.id @page.id
  json.name @page.name
  json.url @page.url
  json.active @page.active
  json.titleText @page.title_text
  json.description @page.description
  json.indexPage @page.index_page
  json.canonicalUrl @page.canonical_url
  json.createdBy @page.creator ? @page.creator.name : @page.deleted_creator_name
  json.notes @page.notes
  json.displayExitIntentModal @page.display_exit_intent_modal
  json.googleOptimize @page.google_optimize
  json.ogImageId @page.og_image_id ? @page.og_image_id : ""
  json.ogImageUrl @page.og_image_id ? @page.og_image.url : ""
end
