json.partial do
  json.id @partial.id
  json.name @partial.name
  json.devsOnly @partial.devs_only
  json.imageUrl @partial.image_id ? @partial.image.url : ""
end
json.fields @fields do |field|
  json.id field.id
  json.frontEndId field.id
  json.name field.name
  json.mandatory field.mandatory == true ? "yes" : "no"
  json.fieldType field.field_type
  json.objectType field.object_type || ""
  json.charLimit field.char_limit.to_s
  json.order field.order
  json.description field.description || ""
  json.menuOptions field.menu_options do |menu_option|
    json.id menu_option.id
    json.order menu_option.order
    json.value menu_option.value
  end
end
json.templates @templates do |template|
  json.id template.id
  json.name template.name
end
