class AddImageIdColumnToUsers < ActiveRecord::Migration[4.2]
  def change
    remove_column :images, :type
    add_column :images, :image_type, :string, null: false

    add_column :users, :image_id, :integer, default: 0
    add_index :users, :image_id
  end
end
