class CreateTemplateTable < ActiveRecord::Migration[4.2]
  def change
    create_table :templates do |t|
      t.string :name, null: false
    end

    create_table :fields do |t|
      t.string :name, null: false
      t.integer :template_id,  null: false
      t.string :field_type, null: false
      t.boolean :mandatory, default: false
      t.integer :char_limit, default: 0
    end
  end
end
