class AddPages < ActiveRecord::Migration[4.2]
  def change
    create_table :pages do |t|
      t.string :name, null: false
      t.string :url, null: false
      t.integer :creator_id, null: false

      t.timestamps
    end

    add_index :pages, :creator_id
  end
end
