class CreateWebinars < ActiveRecord::Migration[4.2]
  def change
    create_table :webinars do |t|
      t.string :name, null: false
      t.string :title, null: false
      t.string :url, null: false
      t.datetime :time
      t.boolean :recurring, default: false
      t.string :recurring_info, default: ""
      t.string :recurrence
      t.integer :host_id, null: false
      t.integer :inviter_id, null: false
    end
  end
end
