class CreateWebinarOffers < ActiveRecord::Migration[5.1]

  def change
    create_table :webinar_offers do |t|
      t.integer :duration
      t.integer :start_time
      t.string :title, default: ""
      t.text :description, default: ""
      t.string :cta_button_type, default: ""
      t.text :cta_button_text, default: ""
      t.text :cta_url, default: ""
      t.references :webinar, index: true, foreign_key: true
    end
  end

end
