@content_download @javascript
Feature: Content download actions

Background:
  Given I'm logged in as Robb
  And Content Data exists
  And the Blog Settings object exists

Scenario: Viewing the Content Downloads page
  Given I'm on the /admin page
  And I click the "Content Downloads" button
  Then I should see "Add Content Download"
  And I should see all the Content Downloads

Scenario: Creating a Content Download with valid data
  Given I'm on the /admin/content_downloads page
  And I click the "Add Content Download" button
  And I submit info for a new content download
  Then I should be on the latest Content Download's edit page

# Scenario: Updating an inactive Content Download with invalid data
  # Given I'm on the first Content Download edit page
  # And I fill out the form with invalid data for an inactive Content Download
  # And I update the Content Download
  # Then I should see the appropriate inactive content download update error messages

# Scenario: Updating an inactive Content Download with valid data
  # Given I'm on the first Content Download edit page
  # And I fill out the form with valid data for an inactive Content Download
  # And I update the Content Download
  # Then the inactive Content Download changes should be saved

# Scenario: Updating an active Content Download with invalid data
  # Given I'm on the first Content Download edit page
  # And I fill out the form with invalid data for an active Content Download
  # And I update the Content Download
  # Then I should see the appropriate active content download update error messages

# Scenario: Updating an active Content Download with valid data
  # Given I'm on the first Content Download edit page
  # And I fill out the form with valid data for an active Content Download
  # And I update the Content Download
  # Then the active Content Download changes should be saved
  # And I should see the Content Download publicly

Scenario: Deleting a referenced Content Download
  Given I'm on the first Content Download edit page
  And I click the "Delete" button
  Then I should see "You cannot delete this content download"

Scenario: Deleting an unreferenced Content Download
  Given I'm on the third Content Download edit page
  And I click the "Delete" button
  And I click the "Yes" button
  Then I should be redirected to the Content Download index page
  And the 3rd content download should be deleted

Scenario: Previewing a Content Download's landing page
  Given I'm on the first Content Download edit page
  And I click the "Preview Landing Page" button
  Then I should see the Content Download's landing page

Scenario: Previewing a Content Download's hero form
  Given I'm on the first Content Download edit page
  And I click the "Preview Hero Form" button
  Then I should see the Content Download's hero form

Scenario: Previewing a Content Download's preview card
  Given I'm on the first Content Download edit page
  And I click the "Preview Card" button
  Then I should see the Content Download's preview card
