@menu-option @javascript
Feature: Drop down field actions

  Background:
    Given I'm logged in as Robb
    And the "Nav Menu" partial

  Scenario: Viewing all menu options for a drop down field
    Given I'm on the edit page for the "Nav Menu" partial
    Then I should see all the menu options for the "Transparent?" field

  Scenario: Creating options for a drop down field
    Given I'm on the edit page for the "Nav Menu" partial
    When I add the "Drop Down" field to the partial
    And I create the following menu options:
      | option    |
      | Test 1    |
      | Test 2    |
    Then the menu options should exist

  Scenario: Deleting menu options for a drop down field
    Given I'm on the edit page for the "Nav Menu" partial
    When I delete the "Yes" option from the "Transparent?" field
    Then the option should not exist

  Scenario: Cannot add a blank option
    Given I'm on the edit page for the "Nav Menu" partial
    When I add the "Drop Down" field to the partial
    And I add the " " menu option
    Then the option should not exist
