@page @javascript
Feature: Page actions

  Background:
    Given I'm logged in as Robb
    And I'm on the admin page

  @create-two-pages
  Scenario: Viewing all pages
    Then I should see all of the pages

  Scenario: Creating a new page
    When I create the "Home" page
    Then I should see "Page details"
    And the "Home" page should exist

  @create-home-page
  Scenario: Page errors show
    When I create the "Home" page
    Then I should see "Name has already been taken"
    And there should only be 1 instance of the page

  @close-tab
  Scenario: Previewing a page
    Given the "Footer" partial is a page partial for the "Home" page
    And I'm on the details page for the "Home" page
    When I preview the page
    Then I should see "Knowledge Base"
