@redirect @javascript
Feature: Redirect actions

  Background:
    Given I'm logged in as Robb

  @create-redirects
  Scenario: Viewing all redirects
    Given I'm on the admin/redirects page
    Then I should see all of the redirects

  Scenario: Creating a new redirect
    Given I'm on the admin/redirects page
    When I create a new redirect for the "Home" url
    Then the redirect should exist

  Scenario: Deleting a redirect
    Given a redirect for "/home" to "https://www.google.com"
    And I'm on the edit page for the "/home" redirect
    When I delete the redirect
    Then the "/home" redirect should not exist

  Scenario: Editing a redirect
    Given a redirect for "/home" to "https://www.google.com"
    And I'm on the edit page for the "/home" redirect
    When I change the "url" field to "/pricing"
    Then the redirect should be updated
    And I should see "Saved"

  Scenario: Redirects take you to a new page
    Given a redirect for "/home" to "https://www.google.com"
    When I visit the home page
    Then I should see "Gmail"
