@public
@percy
@global
@javascript
Feature: Percy - Page Snapshot

  Scenario: Home Page Snapshot
    Given the "homepage" page exists
    When Non login user visit "homepage"
    Then I should see "Create and sell beautiful online courses"
    Then I take a snapshot of "home" page


  Scenario: Features Page Snapshot
    Given the "features" page exists
    When Non login user visit "/features"
    Then I should see "Simple. Powerful. Beautiful."
    Then I take a snapshot of "features" page


  Scenario: Examples Page Snapshot
    Given the "examples" page exists
    When Non login user visit "/examples"
    Then I should see "Online Courses Hosted by Teachable"
    Then I take a snapshot of "examples" page


  Scenario: Pricing Page Snapshot
    Given the "pricing" page exists
    When Non login user visit "/pricing"
    Then I should see "Unlimited courses and students on all paid plans"
    Then I take a snapshot of "pricing" page


  Scenario: SignUp Page Snapshot
    Given the "sign-up" page exists
    When Non login user visit "/create-account-v2"
    Then I should see "Get Started with Teachable"
    Then I take a snapshot of "sign-up" page


  Scenario: Single page checkout V2 Page Snapshot
    Given the "sign-up" page exists
    When Non login user visit "/create-account-v2?plan_id=185"
    Then I should see "Your new plan will be $1,188"
    Then I take a snapshot of "single-page-checkout-v2" page


  Scenario: Creator Checkout React Page Snapshot
    Given the "creator-checkout" page exists
    When Non login user visit "/create-account?plan_id=185"
    Then I should see "You are signing up for a Teachable Professional Annual plan. You will be charged annually."
    Then I take a snapshot of "creator-checkout-react" page


  Scenario: Login Page Snapshot
    Given the "log-in" page exists
    When Non login user visit "/login"
    Then I should see "Log in to Teachable"
    Then I take a snapshot of "login" page
