@blog @javascript
Feature: Blog public actions

Background:
  Given I'm logged in as Robb
  And Content Data exists
  And the Blog Settings object exists

Scenario: Signing up for the newsletter - Valid email
  Given I am on the blog home page
  When I click the newsletter signup button
  When I fill in a valid email for the newsletter
  Then I should see "You’ve been added to our list!"

Scenario: Signing up for the newsletter - Invalid email
  Given I am on the blog home page
  When I click the newsletter signup button
  When I fill in an invalid email for the newsletter
  Then I should see the newsletter email error formatting

Scenario: Clicking through on a content download - from Resources page
  Given I am on the blog resources page
  When I click on the 1st content download
  Then I should be on the 1st content download's landing page

Scenario: Signing up for a content download with valid email - from Category page
  Given I am on the blog category1 page
  When I fill in the 1st content download hero with a valid email
  Then I should be on the 1st content download's thank you page

Scenario: Signing up for a content download with invalid email - from Category page
  Given I am on the blog category1 page
  When I fill in the 1st content download hero with an invalid email
  Then I should see the top hero email error formatting
