# BACKGROUND -----
Given(/^Content Data exists$/) do
  @context.set_up_content_data!
end

Given(/^([1-9]+) Content (?:Category|Categories) (?:exist|exists)$/) do |num_categories|
  @context.create_content_categories!(num_categories.to_i)
end

Given(/^([1-9]+) Content Funnel (?:Stage|Stages) (?:exist|exists)$/) do |num_stages|
  @context.create_content_funnel_stages!(num_stages.to_i)
end

Given(/^([1-9]+) Content (?:Download|Downloads) (?:exist|exists)$/) do |num_downloads|
  @context.create_content_downloads!(num_downloads.to_i)
end
