Given(/^the partial is not visible on the "(.+)" page$/) do |page|
  @context.given_partial_not_visible(page)
end

When(/^I add the "(.+)" partial to the page$/) do |name|
  @context.add_partial_to_page(name)
end

When(/^I change the values of all the fields$/) do
  @context.change_all_fields
end

When(/^I copy the page partial$/) do
  @context.copy
end

Then(/^I should see all of the page's page partials$/) do
  @context.expect_all_pages
end

Then(/^the page should have a partial named "(.+)"$/) do |name|
  @context.expect_partial(name)
end

Then(/^the page should not have a partial named "(.+)"$/) do |name|
  @context.expect_no_partial(name)
  @context.expect_order_rearranged
end

Then(/^the page partial should be grayed out$/) do
  @context.expect_page_partial_grayed_out
end

Then(/^I should not see the page partial$/) do
  @context.expect_not_visible
end
