Given(/^a redirect for "(.+)" to "(.+)"$/) do |url, redirect|
  @context.given_redirect(url, redirect)
end

When(/^I create a new redirect for the "(\w+)" url$/) do |name|
  @context.click_a_tag('Add Redirect')
  @context.create_redirect(name)
end

Then(/^the redirect should exist$/) do
  @context.expect_matching_database_values
  @context.expect_in_index(Redirect.last)
end

Then(/^the redirect should be updated$/) do
  @context.expect_matching_database_values
end
