When(/^(?:he )?clicks on the (Monthly|Annual) (Basic|Professional|Business) plan$/) do |plan_length, plan_type|
  plan_length, plan_type = plan_length.downcase, plan_type.downcase.gsub(' ', '-')
  find(".three-cards .pricing-card.#{plan_type} a").click
end

When(/^he toggles the plan length$/) do
  find('.toggle label').click
end

When(/^he closes the upgrade modal$/) do
  @context.close_fedora_upgrade_modal
end

Then(/^he should see his current plan$/) do
  @context.expect_current_plan
end
