class UpdatePasswordContext < CmsContext
  def change_password(new_password, success_or_not)
    confirm_password = success_or_not == 'successfully' ? new_password : 'random_string'
    within('.admin-modal') do
      fill_in_by_data_field('password', new_password)
      fill_in_by_data_field('confirmNewPassword', confirm_password)
      click_and_wait('Update Password')
    end
  end

  def log_out
    find_by_id('hover-area').hover
    click_a_tag('Log out')
  end

  def test_new_password(password)
    find('input[type=email]').set(get_admin_login_credentials('valid')[@current_user]['email'])
    find('input[type=password]').set(password)
    click_button 'Sign in'
  end
end
