require_relative 'cms_context'
require_relative '../webinar'

class WebinarAdminContext < CmsContext
  attr_accessor :firebase_user
  include WebinarActions

  def find_post(text, private_reply = false)
    message_selector = private_reply ? '.chat-message.private' : '.chat-message'
    message = page.find(message_selector, text: text, exact_text: false)
    message.hover
    message
  end

end
