import React from 'react';
import _EditableContent from './_editable_content/_editable_content'


export default class CTAEntity extends _EditableContent {
  constructor(props) {
    super(props);
  }

  // SETUP -----

  fieldData() {
    return {
      header: 'Sidenote: Learn exactly how these entrepreneurs made $32.9 million from online courses.',
      subHeader: 'We analyzed data from more than 100,000 online schools and reveal exact tactics used by the most successful course creators to earn a full-time income with online courses.',
      buttonText: '',
      buttonHref: '',
    }
  }

  // RENDERING -----

  render() {
    return this.wrapContent(
      <div>
        { this.renderLabel() }
        { this.renderEditableText('header', 'col-xs-12 cta-header header-three') }
        { this.renderEditableText('subHeader', 'col-xs-12 cta-subheader unstyled') }
        { this.renderEditableLinkButton('buttonText', 'buttonHref', 'col-xs-12 cta-button') }
        { this.renderDeleteButton() }
      </div>
    );
  }
}
