require "rails_helper"

RSpec.describe CreateAccountsController do

  describe "#create" do
    it "redirects to sso" do
      post :create
      expect(response).to redirect_to("https://sso.test.host/secure/teachable_accounts/sign_up")
    end

    context "with plan_id param" do
      before do
        Testing::PageGenerator.create_page("creator-checkout")
      end

      it "renders pages show" do
        post :create, params:{ plan_id: 185 }
        expect(response).to render_template("pages/show.html.erb")
      end
    end
  end
end
