require "rails_helper"

RSpec.describe Registration, type: :model do

  it "should send a pendo tracking event" do
    webinar = create(:webinar)
    registrant = create(:registrant)
    registration = Registration.create(webinar: webinar, registrant: registrant)
    expect(SendPendoTrackingEvent.jobs.size).to eq(1)
    SendPendoTrackingEvent.drain
  end

end
