$(document).ready(function () {
  var hasFooterCTA = $("footer .row.cta").length > 0;
  if (hasFooterCTA) {
    BlogFooter.initialize();
  }
});

var BlogFooter = {

  initialize: function () {
    $button = $("footer .row.cta a.orange-button").first();
    $button.on("click", BlogFooter.clickFooterCTA);
  },

  clickFooterCTA: function () {
    var eventName = $("#segment-event-name").attr("data-segment-event-name");
    Tracking.irisEmit("footer_call_to_action_clicked", {
      target: 'segment',
      description: eventName
    });
  },
};
