$(document).ready(function() {
  MiniSite.initialize();
});

var $Option1;
var $Option2;
var $Option3;
var $Option4;
var $Option5;

var $Section1;
var $Section2;
var $Section3;
var $Section4;
var $Section5;

var MiniSite = {

  initialize: function() {
    $Option1 = $("._5276 li:first-of-type a").on("click", MiniSite.clickChallenges);
    $Option2 = $("._5276 li:nth-of-type(2) a").on("click", MiniSite.clickCommunity);
    $Option3 = $("._5276 li:nth-of-type(3) a").on("click", MiniSite.clickResources);
    $Option4 = $("._5276 li:nth-of-type(4) a").on("click", MiniSite.clickLeaderboard);
    $Option5 = $("._5276 li:nth-of-type(5) a").on("click", MiniSite.clickFAQ);

    $Section1 = $("._5353, ._5279, ._5280, ._5352, ._5284, ._5301, ._5287, ._5303, ._5304");
    $Section2 = $("._5357, ._5308, ._5309, ._5377, ._5311, ._5312, ._5313, ._5338, ._5316, ._5318");
    $Section3 = $("._5356, ._5321, ._5323");
    $Section4 = $("._5355, ._5731, ._5729, ._5326,  ._5791, ._5792, ._5793");
    $Section5 = $("._5354, ._5336");

    $Section2.hide();
    $Section3.hide();
    $Section4.hide();
    $Section5.hide();
  },

  clickChallenges: function() {
    MiniSite.clearActiveOption();
    $Option1.parent().addClass("active");
    $Section1.show();
    $Section2.hide();
    $Section3.hide();
    $Section4.hide();
    $Section5.hide();
  },

  clickCommunity: function() {
    MiniSite.clearActiveOption();
    $Option2.parent().addClass("active");
    $Section1.hide();
    $Section2.show();
    $Section3.hide();
    $Section4.hide();
    $Section5.hide();
  },

  clickResources: function() {
    MiniSite.clearActiveOption();
    $Option3.parent().addClass("active");
    $Section1.hide();
    $Section2.hide();
    $Section3.show();
    $Section4.hide();
    $Section5.hide();
  },

  clickLeaderboard: function() {
    MiniSite.clearActiveOption();
    $Option4.parent().addClass("active");
    $Section1.hide();
    $Section2.hide();
    $Section3.hide();
    $Section4.show();
    $Section5.hide();
  },

  clickFAQ: function() {
    MiniSite.clearActiveOption();
    $Option5.parent().addClass("active");
    $Section1.hide();
    $Section2.hide();
    $Section3.hide();
    $Section4.hide();
    $Section5.show();
  },

  clearActiveOption: function() {
    $(".nav-item").removeClass("active");
  }
}
