export const sendEmailSubmitConversion = () => new Promise((resolve) => {
  fbq('trackCustom', 'Email Submitted');
  window.gtag('event', 'conversion', {
    send_to: 'AW-959285871/L-28CLax0bQBEO-UtskD',
    event_callback: resolve
  });
});

export const sendAccountCreatedConversion = () => new Promise((resolve) => {
  fbq('trackCustom', 'Account Created');
  window.gtag('event', 'account created', {
    send_to: 'AW-959285871/L-28CLax0bQBEO-UtskD',
    event_callback: resolve
  });
})

export const sendPurchasedSchoolPlanConversion = () => new Promise((resolve) => {
  fbq('trackCustom', 'Purchased Plan');
  window.gtag('event', 'purchased plan', {
    send_to: 'AW-959285871/L-28CLax0bQBEOx-UtskD',
    event_callback: resolve
  });
})
