//?tap_a=18301-565799&tap_s=89584-406e76

$(document).ready(function() {
  Referrals.initialize();
})

var Referrals = {

  initialize: function() {
    cookies = Common.parseCookies();
    var data = {};
    var hasCampaignCookie;
    try {
      hasCampaignCookie = cookies.mbsy && cookies.campaignId;
    } catch(e) {
      const documentReferrer = document.referrer;
      Raven.captureException(e, {
        documentReferrer,
        cookies: document.cookie,
      });
    }
    if (hasCampaignCookie) {
      data['getambassador_campaign_id'] = cookies.campaignId;
      data['getambassador_affiliate_id'] = cookies.mbsy;
    } else if (Common.params["campaignid"] && Common.params["mbsy"]) {
      data['getambassador_campaign_id'] = Common.params["campaignid"];
      data['getambassador_affiliate_id'] = Common.params["mbsy"];
    }
    if (Object.keys(data).length === 2) {
      Referrals.hitReferralsEndpoint(data);
    }
  },

  hitReferralsEndpoint: function(data) {
    $.ajax({
      url: Common.getProperReferralsEndpoint(),
      method: 'POST',
      data: data,
      success: function(response) {
        localStorage.setItem('referral', response['referral']['token']);
      }
    });
  }
}
