$(document).ready(function() {
  SuccessStories.initialize();
});

// translate slick init event into native event for lazyloading
$(document).on('init', (e) => {
  document.dispatchEvent(new Event('slickInit'));
});
var SuccessStories = {

  initialize: function() {

    $('.success-stories-slider').slick({
      prevArrow: '<button type="button" class="slick-prev">&#8249;</button>',
      nextArrow: '<button type="button" class="slick-next">&#8250;</button>',
      slidesToShow: 1,
      initialSlide: 1,
      centerPadding: '5px',
      focusOnSelect: true,
      infinite: true,
      speed: 900
    });
  },
}
