$(document).ready(function() {
  SummitHero.initialize();
});

var SummitHero = {

  initialize: function() {
    $(".summit-hero #register-button").click(SummitHero.clickRegisterButton);
    $(".summit-hero .play-button").click(SummitHero.clickVideoPlayButton);
    if (window.location.pathname === "/summit") {
      var irisEvent = $.trim($('#segment-registration-page-event').attr('value'));
      Tracking.irisEmit(irisEvent, { target: 'segment' });
    }
  },

  clickRegisterButton: function() {
    SummitRegisterModalSelectTrack.openModal();
  },

  clickVideoPlayButton: function() {
    $('#summit-hero-video').removeClass('hidden');
    location.href = "#summit-hero-video";
    var videoId = Common.getVideoId('summit-hero-video-container');
    Common.playWistiaVideo(videoId);
  },
};
