$(document).ready(function() {
  SummitSpeakers.initialize();
});

var SummitSpeakers = {

  initialize: function() {
    $loadSpeakersButton = $('.load-speakers-button');
    $loadSpeakersButton.click(function() {
      var yPosition = window.scrollY;
      $('.speaker-card.hidden').removeClass('hidden');
      $loadSpeakersButton.addClass('hidden');
      window.scrollTo({ top: yPosition });
    });

    $('.summit-speakers .speaker-card').each(function(i, summitSpeaker) {
      $summitSpeaker = $(summitSpeaker);
      var url = $summitSpeaker.data().url;
      if (!url || url == "") {
        $summitSpeaker.css('cursor', 'default');
      } else {
        $summitSpeaker.on('click', function() {
          var newTab = window.open(url, '_blank');
          newTab.focus();
        });
      }
    })
  },

}
