class Admin::Api::BannerPagesController < AdminController

  def create
    BannerPage.create(banner_params)
    @banner_pages = BannerPage.where(banner_id: banner_params[:banner_id])
    render "index.json.jbuilder"
  end

  def destroy
    banner_page = BannerPage.find(params[:id])
    banner_page.destroy
    @banner_pages = BannerPage.where(banner_id: banner_page.banner_id)
    render "index.json.jbuilder"
  end

  private

  def banner_params
    params[:banner_page].permit(:page_id, :banner_id)
  end

end
