# frozen_string_literal: true

class Admin::TrackingLinksController < AdminController

  def index
    render "index.html.erb"
  end

  def new
    render "new.html.erb"
  end

  def copy
    render "copy.html.erb"
  end

  def show
    @tracking_link = TrackingLink.find_by(slug: params[:slug], latest_version: true) || TrackingLink.where(slug: params[:slug]).last
    render "show.html.erb"
  end

end
