class Api::TopmindController < ApplicationController

  def show
    results = HTTParty.post(ENV["TOPMIND_URL"], body: request.remote_ip)
    if results.success?
      results[:eu] = EU_COUNTRY_CODES.include? results["country"]
      render json: results
    else
      render json: { error: results.body }, status: results.code
    end
  end

end
