class CreateAccountsController < ApplicationController
  include Pricing

  def create
    # if the plan id query param is present, render pages show with the correct page
    if params[:plan_id]
      @page ||= Page.includes(page_partials: [:partial]).find_by_url("/create-account")
      get_pricing_info
      render 'pages/show.html.erb'
    else
      # if there are no query params, send the user to sso to create the account
      redirect_to "https://sso.#{request.host}/secure/teachable_accounts/sign_up"
    end

  end
end