class BlogPostCategory < ApplicationRecord
  validates :blog_post_id, :blog_category_id, presence: true

  belongs_to :blog_post
  belongs_to(
    :category,
    class_name: "ContentCategory",
    foreign_key: :blog_category_id,
    primary_key: :id
  )
end
