class MenuOption < ApplicationRecord

  belongs_to :optionable, polymorphic: true

def self.create_hours(field_id)
  [
    [12,'AM'],
    [1,'AM'],
    [2,'AM'],
    [3,'AM'],
    [4,'AM'],
    [5,'AM'],
    [6,'AM'],
    [7,'AM'],
    [8,'AM'],
    [9,'AM'],
    [10,'AM'],
    [11,'AM'],
    [12,'PM'],
    [1,'PM'],
    [2,'PM'],
    [3,'PM'],
    [4,'PM'],
    [5,'PM'],
    [6,'PM'],
    [7,'PM'],
    [8,'PM'],
    [9,'PM'],
    [10,'PM'],
    [11,'PM']
  ].each_with_index do |array, index|
     MenuOption.create({value: "#{array[0]}:00#{array[1]}", optionable_id: field_id, optionable_type: "Field", order: index + 1})
     MenuOption.create({value: "#{array[0]}:30#{array[1]}", optionable_id: field_id, optionable_type: "Field", order: index + 2})
  end
end

  def self.create_days_of_month(field_id)
    (01..31).each_with_index do |num, index|
      MenuOption.create({value: num, optionable_id: field_id, optionable_type: "Field", order: index + 1})
    end
  end

  def self.create_month(field_id)
    (01..12).each_with_index do |num, index|
      MenuOption.create({value: num, optionable_id: field_id, optionable_type: "Field", order: index +1})
    end
  end
end
