class PlanFeature < ApplicationRecord

  validates :feature_id, :order, presence: true

  belongs_to :feature
  belongs_to :tooltip

  def cached_urls
    Partial.find_by(name: 'Pricing Table').cached_urls
  end
end
