class Upload < ApplicationRecord
  validates :url, :category, :upload_type, presence: true

  scope :images, -> { where(upload_type: 'image') }

  def url_and_reusability
    url = self.url
    reusability = self.reusable
    { url: url, reusability: reusability }
  end

  def id_and_url
    { url: self.url, id: self.id }
  end
end
