class WebinarObject < ApplicationRecord

  include Netlifiable

  belongs_to :webinar
  belongs_to :objekt

  validates :objekt_id, uniqueness: { scope: [:webinar_id, :objekt_name], message: "should only be tied to a webinar once" }

end
