json.blogPost do
  json.id @blog_post.id
  json.title @blog_post.title
  json.url @blog_post.url
  json.date @blog_post.formatted_date
  json.coverPhotoId @blog_post.cover_photo_id || ""
  json.coverPhotoUrl (@blog_post.cover_photo_id ? @blog_post.cover_photo.url : "")
  json.coverPhotoAltText @blog_post.cover_photo_alt_text
  json.mobileCoverPhotoId @blog_post.mobile_cover_photo_id || ""
  json.mobileCoverPhotoUrl (@blog_post.mobile_cover_photo_id ? @blog_post.mobile_cover_photo_url : "")
  json.authorId @blog_post.author_id
  json.authorType @blog_post.author_type
  json.active @blog_post.active
  json.titleText @blog_post.title_text
  json.description @blog_post.description
  json.indexPage @blog_post.index_page
  json.canonicalUrl @blog_post.canonical_url
  json.seoImageAltText @blog_post.seo_image_alt_text || ""
  json.ogDescription @blog_post.og_description || ""
  json.ogTitle @blog_post.og_title || ""
  json.twitterSummaryDescription @blog_post.twitter_summary_description || ""
  json.twitterSummaryTitle @blog_post.twitter_summary_title || ""
  json.htmlContent @blog_post.html_content
  json.editorContentState @blog_post.editor_content_state || ""
end
json.allCategories @all_categories
json.authors @authors
json.categories @blog_post.category_ids
