json.object @object
json.templateName @template.name
json.templateId @template.id
json.templateEditable @template.editable
json.fields @fields do |field|
  json.id field.id
  json.name field.name
  json.mandatory field.mandatory == true ? "yes" : "no"
  json.fieldType field.field_type
  json.charLimit field.char_limit
  json.order field.order
  json.description field.description
  json.menuOptions field.menu_options do |menu_option|
    json.order menu_option.order
    json.value menu_option.value
  end
end
json.images @images
json.files @files
json.instances @instances.map { |key, value| [key, value.map { |instance_object| instance_object.map { |key, value| [key.to_s.camelize(:lower).to_sym, value]}.to_h }] }.to_h
