json.pagePartial @page_partial_object
json.fields @partial_fields do |field|
  json.id field.id
  json.name field.name
  json.mandatory field.mandatory == true ? "yes" : "no"
  json.fieldType field.field_type
  json.charLimit field.char_limit
  json.order field.order
  json.placeholder field.placeholder
  json.menuOptions field.menu_options do |menu_option|
    json.order menu_option.order
    json.value menu_option.value
  end
  json.description field.description
end
json.images @images
json.files @files
json.instances @instances.map { |key, value| [key, value.map { |instance_object| instance_object.map { |key, value| [key.to_s.camelize(:lower).to_sym, value]}.to_h }] }.to_h
json.nestedPagePartials @nested_page_partials
json.webinars @webinars
