json.scheduledTask do
  json.id @scheduled_task.id
  json.status @scheduled_task.status
  json.time @scheduled_task.time.strftime("%-m/%-d/%y %-l:%M %P")
  json.schedulableType @scheduled_task.schedulable_type
  json.schedulableId @scheduled_task.schedulable_id
  json.action @scheduled_task.action
end
json.pages @pages do |page|
  json.id page.id
  json.name page.name
end
json.redirects @redirects do |redirect|
  json.id redirect.id
  json.url redirect.url
  json.redirect redirect.redirect
end
json.blogPosts @blog_posts do |blog_post|
  json.id blog_post.id
  json.title blog_post.title
end
json.banners @banners do |banner|
  json.id banner.id
  json.name banner.name
end
