class ProcessReplay
  include Sidekiq::Worker
  sidekiq_options :retry => false

  def perform(webinar_id, youtube_id)
    firebase = Firebase::Client.new(Webinar.get_firebase_url, Webinar.firebase_auth_json)
    slack = Slack::Web::Client.new
    webinar = Webinar.find(webinar_id)
    slack.chat_postMessage(channel: ENV['WEBINAR_NOTIFICATIONS_CHANNEL'], text: "Processing replay for \"#{webinar.title}\" . . .", as_user: true)
    HTTParty.get(
      "https://yaas.teachable.cloud?youtube_id=#{youtube_id}&webinar_id=#{webinar_id}"
    )
  end

end
