# frozen_string_literal: true
require "iris/client"

class SendEventableEvent
  include Sidekiq::Worker
  Client = Iris::Client.new(source: "cms", url: ENV["EVENTABLE_URL"])

  def perform(args)
    symbolized_args = args.map { |k, v| [k.to_sym, v] }.to_h
    Client.emit(**symbolized_args)
  end

end
