class SendPendoTrackingEvent

  include Sidekiq::Worker

  def perform(event, visitor_id, account_id = nil, ts = nil, properties = nil)
    if ts.nil?
      ts = Time.now
    end
    if ts.is_a?(Time) || ts.is_a?(DateTime) || ts.is_a?(Date)
      ts = (ts.to_f * 1000).to_i
    end
    Pendo.track_event(event, visitor_id, account_id, ts, properties)
  end

end
