class UpdateWebinarDuration

  include Sidekiq::Worker

  def perform(id)
    webinar = Webinar.find(id)
    return if webinar.replay_video_id.nil?
    response = Wistia.video_info(webinar.replay_video_id)
    webinar.update(duration: response["duration"]) if response["duration"]
  end

end
