Rails.application.config.middleware.insert_before 0, Rack::Cors do
  allow do
    # allow requests from any teachable subdomain
    # (wildcard origins don't work)
    origins /https:\/\/([a-z0-9]+)\.teachable\.com$/
    resource "/api/*", headers: :any, methods: [:get]
  end
end
