class AddPrivilegeTables < ActiveRecord::Migration[4.2]
  def change
    create_table :privileges do |t|
      t.string :name, null: false
    end
    create_table :permission_privileges do |t|
      t.integer :permission_id, null: false
      t.integer :privilege_id, null: false
    end
    add_index :permission_privileges, [:permission_id, :privilege_id], unique: true
  end
end
