class AddObjektModel < ActiveRecord::Migration[4.2]
  def change
    create_table :objekts do |t|
      t.integer :template_id, null: false
    end

    add_index :objekts, :template_id

    create_table :objekt_fields do |t|
      t.integer :objekt_id, null: false
      t.integer :field_id, null: false
      t.string :value
    end

    add_index :objekt_fields, :objekt_id
    add_index :objekt_fields, :field_id
  end
end
