class CreateBanners < ActiveRecord::Migration[5.1]
  def change
    create_table :banners do |t|
      t.string :name, null: false
      t.string :banner_key, null: false
      t.timestamps
    end

    create_table :banner_fields do |t|
      t.integer :banner_id, null: false
      t.string :banner_field_key, null: false
      t.string :value, default: ""
      t.timestamps
    end
  end
end
