@file-field @javascript
Feature: File field actions

  Background:
    Given I'm logged in as Robb
    And the "File Field Partial" partial is a page partial for the "Home" page

  Scenario: Uploading a file
    Given I'm on the details page for the "Home" page
    When I upload a new file to the "File" field for the page partial
    Then the file field should contain the file url

  Scenario: Removing a file
    Given the "File" field contains a file
    And I'm on the details page for the "Home" page
    When I remove the file from the field
    Then the file field should not contain the file
