@image-field @javascript
Feature: Reusable images actions

  Background:
    Given I'm logged in as Robb
    And the "Big Image" partial is a page partial for the "Home" page

  # This is just a dummy url returned from filepicker
  Scenario: Uploading an image
    Given I'm on the details page for the "Home" page
    When I upload an new image to the "Image" field for the page partial
    Then the image field should contain the image
    And I should see "Make Reusable"

  Scenario: Removing an image
    Given the "Image" field contains an image
    And I'm on the details page for the "Home" page
    When I remove the image from the field
    Then the image field should not contain the image

  Scenario: Making an image reusable
    Given I'm on the details page for the "Home" page
    When I upload an new image to the "Image" field for the page partial
    And I click the "Make Reusable" button
    Then the image should be reusable

  @create-reusable-image
  Scenario: Selecting a reusable image
    Given I'm on the details page for the "Home" page
    When I upload a reusable image to the "Image" field for the page partial
    Then I should see "Image is Reusable"
    And the image field should contain the image
    And I should not see "Make Reusable"
