@webinar-public @javascript
Feature: Webinars

Background:
  Given a webinar named test-suite

Scenario: Registering for a webinar
  Given a user visits the test-suite registration page
  Then they should see the register page
  When a user registers for the webinar
  Then they should see the thank you page
  And the registration should be in the database
  Given a user visits the test-suite registration page
  And they register for the webinar a second time
  Then they should see "You have already registered for this webinar"

Scenario: Registering for a webinar with an email param
  Given a user visits the test-suite registration page with an email param
  Then they should see the register page
  When a user submits the pre-opened registration modal
  Then they should see the thank you page
  And the registration should be in the database

Scenario: Visiting the Thank You Page
  Given a user visits the test-suite thank you page
  Then they should see the thank you page

Scenario: Visiting the Play Page
  Given a user visits the test-suite play page
  And closes the cookie banner
  And enters the webinar
  Then they should see the play page

Scenario: Visiting the Replay Page
  Given a user visits the test-suite replay page
  Then they should see the replay page

Scenario: Upgrading from the Play Page
  Given a user visits the test-suite play page
  And closes the cookie banner
  And enters the webinar
  And clicks the "Upgrade to Pro" button
  Then they should be on the checkout page
  And the checkout page should have the correct upgrade_src parameter
