@webinar-public @webinar-public-chat @javascript
Feature: Webinar Chat

Background:
  Given a webinar named test-suite

Scenario: Sending a chat message
  Given a user visits the test-suite play page
  And closes the cookie banner
  When they enter the webinar
  And sends the message "hello everyone"
  Then they should see Peter's message saying "hello everyone"

Scenario: Receiving a chat message
  Given a user visits the test-suite play page
  And closes the cookie banner
  When they enter the webinar
  And a message reading "Goodbye yall" is sent
  Then they should see someone else's message saying "Goodbye yall"

Scenario: Sending a message that mentions competitors
  Given a user visits the test-suite play page
  And closes the cookie banner
  When they enter the webinar
  And send the message "Teachable > podia :p"
  And send the message "hello friends"
  Then they should see Peter's message saying "hello friends"
  And they should see Peter's message saying "Teachable > podia :p"

Scenario: Receiving a blocked message
  Given a user visits the test-suite play page
  And closes the cookie banner
  When they enter the webinar
  And a blocked message reading "blocked" is sent
  And a message reading "Howdy!!!" is sent
  Then they should see someone else's message saying "Howdy!!!"
  And they should not see someone else's message saying "blocked"
