When(/^I upload a new file to the "(?:.+)" field for the page partial$/) do
  @context.upload_file
end

Then(/^the file field should contain the file url$/) do
  @context.expect_correct_file_url
end

Given (/^the "(.+)" field contains a file$/) do |field_name|
  @context.given_a_file(field_name)
end

When(/^I remove the file from the field$/) do
  @context.remove_file
end

Then(/^the file field should not contain the file$/) do
  @context.expect_no_file
end
