require_relative 'public_context'

class LoginContext < PublicContext

  def initialize
    super
    create_login_page
    create_support_login_page
    create_forgot_password_page
  end

  def enter_forgot_password_email
    credentials = @current_user
    fill_in 'modal_forgot_email_field', with: credentials['email']
  end

end
