import React from 'react'
import _EditableContent from './_editable_content/_editable_content'
import _EditableHTML from './_editable_content/_editable-html'

export default class CustomHTMLEntity extends _EditableContent {
  constructor(props) {
    super(props);
  }

  // SETUP -----

  fieldData() {
    return {
      html: '<p>Put custom HTML here!</p>',
    }
  }

  // RENDERING -----

  render() {
    return this.wrapContent(
      <div>
        { this.renderLabel() }
        { this.renderEditableHTML('html', 'col-xs-12 cta-header unstyled') }
        { this.renderDeleteButton() }
      </div>
    );
  }
}
