import React from 'react';
import _EditableContent from './_editable_content/_editable_content'


export default class TestimonialEntity extends _EditableContent {
  constructor(props) {
    super(props);
  }

  // SETUP -----

  fieldData() {
    return {
      testimonial: '“Testimonial/quote about something awesome/important. If it’s a paragraph of quoted text - it should NOT go here. 1-2 short sentences only! MAX 3 lines of text.”',
      author: '- Melyssa Griffin, ',
      school: 'Company Name',
      schoolHref: 'https://teachable.com',
    }
  }

  // RENDERING -----

  render() {
    return this.wrapContent(
      <div>
        { this.renderLabel() }
        { this.renderEditableText('testimonial', 'col-xs-12 testimonial testimonial-text header-two') }
        { this.renderEditableText('author', 'col-xs-6 testimonial author') }
        { this.renderEditableText('school', 'col-xs-6 testimonial school') }
        { this.renderEditableLink('schoolHref', 'col-xs-6 col-xs-offset-6 testimonial school-link') }
        { this.renderDeleteButton() }
      </div>
    );
  }
}
