import React from 'react';
import _EditableContent from './_editable_content/_editable_content'


export default class TipEntity extends _EditableContent {
  constructor(props) {
    super(props);
  }

  // SETUP -----

  fieldData() {
    return {
      header: 'ACTIONABLE TIP',
      body: 'Focus on niche audiences to create your courses. When assessing an opportunity, don’t aim for a target with millions of individuals--an addressable market of a couple thousand potential customers can turn into 100 paying students.',
    }
  }

  // RENDERING -----

  render() {
    return this.wrapContent(
      <div>
        { this.renderTipLabel() }
        { this.renderEditableText('header', 'col-xs-6 tip tip-header')}
        { this.renderEditableText('body', 'col-xs-12 tip tip-body unstyled') }
        { this.renderDeleteButton() }
      </div>
    );
  }

  renderTipLabel() {
    return (
      <div className="tip tip-label-container">
        +
        <div className="tip triangle-left"></div>
        <div className="tip triangle-right"></div>
      </div>
    );
  }
}
