#!/bin/bash
set -e # fail on error
set -u # prints a message to stderr when the variable doesn't exist
LOCAL_DATABASE=teachable-marketing_development
PG_DUMP_DESTINATION=tmp/local-database.sql
STAGING_DATABASE_URL=postgres://u7bcgqqtmmsfvn:p9e235437e7076ad40f74a6eb807e7ee446b394125534eae80a47b59e6041387b@staging-aurora-databasecluster-1eky7hgrtnxd8.cluster-cibjocv5qyb6.us-east-1.rds.amazonaws.com:3306/ddfdbbdsj8pjo2i
if [ -e $PG_DUMP_DESTINATION ]
then
  rm $PG_DUMP_DESTINATION
fi
pg_dump -Fc $LOCAL_DATABASE > $PG_DUMP_DESTINATION
pg_restore --verbose --clean --no-acl --no-owner -h localhost -d $STAGING_DATABASE_URL $PG_DUMP_DESTINATION
echo Local Database Imported to Staging!
